#!/usr/bin/env node
"use strict";
//#!/usr/bin/env ts-node-script
Object.defineProperty(exports, "__esModule", { value: true });
const generatorExtensions_enum_1 = require("./codeGenerator/enums/generatorExtensions.enum");
const paths_enum_1 = require("./codeGenerator/enums/paths.enum");
const validateGeneratorJson_1 = require("./codeGenerator/utilities/validateGeneratorJson");
const generatePattern_1 = require("./codeGenerator/compiler/generatePattern");
const fileFinder_1 = require("./codeGenerator/fileFinder/fileFinder");
const { resolve } = require('path');
(0, fileFinder_1.findFiles)(paths_enum_1.paths.root, generatorExtensions_enum_1.generatorExtensions.json).forEach(({ path }) => {
    const generator = require(resolve(path));
    if ((0, validateGeneratorJson_1.validateGeneratorJson)(generator, path))
        (0, generatePattern_1.generatePattern)({ ...generator });
});
